Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 31/10/2010, à 11:27

gtkshroom

[Résolu] Installation Linux de Postal Fudge Pack

Bonjour,

J'essaie d'installer le Postal Fudge Pack avec l'installeur fourni dans le DVD autrement dit le fichier linux_installer.sh mais je ne parviens pas à l'exécuter sans que je tombe sur cette erreur:

Copying to a temporary location...
Verifying archive integrity... All good.
Uncompressing The Postal Fudge Pack for x86 GNU/Linux.................................................................
setup.data/setup.xml:1: parser error : Document is empty

^
setup.data/setup.xml:1: parser error : Start tag expected, '<' not found

^
Impossible de charger 'setup.data/setup.xml'

À ce que me dit Google quand je lui soumets l'erreur, celle-ci est commune à l'installation de Google Earth sur des systèmes Linux avec le fichier .bin mais la solution proposée par les divers liens est applicable uniquement à ce programme. Comme je ne peux pas modifier l'installeur avec un éditeur de texte, qu'est-ce que je pourrais envisager sans passer par l'installeur Windows et Wine ?

Merci d'avance pour votre aide. smile

Mon système: Ubuntu 10.10, mes pilotes graphiques à jour.

Dernière modification par gtkshroom (Le 01/11/2010, à 16:13)

Hors ligne

#2 Le 31/10/2010, à 15:43

gtkshroom

Re : [Résolu] Installation Linux de Postal Fudge Pack

Désolé double post mais ça a son intérêt:

Le fichier setup.xml en question se trouve dans /home/login/Bureau/Postal/Mac OS X Installer.app/Contents/MacOS et /home/login/Bureau/Postal/Mac OS X Installer.app/Contents/MacOS/setup.data (en tenant compte du fait que j'ai copié le contenu du DVD sur le Bureau).

Affiché avec Vim, voici la partie "lisible" du code source du fichier linux_installer.sh: http://pastebin.com/ett0TBs7 (seulement je ne vois pas trop où ça peut planter et quel rapport ça a avec une erreur de parseur XML)

Sinon, je vais tenter l'installation sur une openSUSE virtualisée, j'ai vu sur certains forums que l'installation s'était passé sans problème sur ce système.

Voilà pour le compléments d'informations. smile

BIGEDIT

L'installation sur openSUSE s'est déroulée avec succès.
1288600490.png

Maintenant, voilà ma manipulation: une fois l'installation sur l'OS virtualisé finie, j'ai copié le répertoire installé postal_fudge_pack dans un partage monté au préalable puis dans mon répertoire personnel comme si je l'avais installé sur Ubuntu.

Résultat: l'exécution du jeu par la commande ./postal2 ne donne rien même avec la résolution du Default.ini et DefUser.ini (affichage du splash de démarrage puis crash)

Can't find file for package 'WinDrv'

History: 

Exiting due to error

Je peux en revanche démarrer le jeu avec la commande ./postal2aw(extension Apocalypse Weekend) mais qu'à moitié car le son plante.

Postal 2
Copyright 2003 Running With Scissors, Inc.
Unreal Engine
Copyright 2001 Epic Games, Inc.
open /dev/[sound/]dsp: No such file or directory

Cette dernière erreur serait apparemment due au fait que l'émulation OSS a été retiré du noyau dans cette nouvelle version d'Ubuntu ce qui implique également l'inexistence de ce fameux /dev/dsp que les jeux basés sur un moteur Unreal nécessitent.

Je continue mes expériences.

Dernière modification par gtkshroom (Le 01/11/2010, à 10:43)

Hors ligne

#3 Le 01/11/2010, à 16:10

gtkshroom

Re : [Résolu] Installation Linux de Postal Fudge Pack

Alors pour le problème de son c'est également résolu mais pas sans bricolage.

J'ai réinstallé OSS avec cette méthode et le son marche sans problème pour le jeu:

http://www.ubuntugeek.com/howto-install … ality.html

Si je résume pour ceux qui voudraient faire fonctionner à peu près normalement le Postal Fusge Pack en natif:

  • Installer avec VirtualBox un openSUSE et monter un dossier partagé;

  • Dans openSUSE, lancer l'installation du jeu et copier les répertoires installés dans son dossier personnel Ubuntu via le partage;

  • Comme décrit ici, installer et configurer OSS sur Maverick;

Le jeu est prêt à l'emploi. smile

C'est laborieux mais ça permet de jouer sans passer par un système complet openSUSE.

Dernière modification par gtkshroom (Le 01/11/2010, à 16:12)

Hors ligne

#4 Le 01/11/2010, à 16:40

Tonno

Re : [Résolu] Installation Linux de Postal Fudge Pack

Bonjour,

j'ai le même problème que toi avec le fichier setup.data (etc.).
Perso je suis pas super doué en info, mais il semble que tu t'en sois sortis... pourrais tu me donner le truc pour bien installer google earth (je suis sous kubuntu 10.10)

merci

Hors ligne

#5 Le 01/11/2010, à 17:05

gtkshroom

Re : [Résolu] Installation Linux de Postal Fudge Pack

N'étant pas sûr de toutes les solutions proposées et surtout que je n'ai pas essayées, je te donne le lien de la recherche Google sur cette erreur.

Lien

Les solutions sont dans les premières résultats.

En gros tu as le choix entre:

Google a écrit :

Le dépôt à rajouter:

deb http://ftp.debian.org/debian/ testing main contrib non-free

Dans un terminal:

sudo apt-get update
sudo apt-get install googleearth-package
make-googleearth-package

Un fichier *.deb est créé, il faut l'installer. Dans le terminal toujours:

sudo dpkg -i googleearth*.deb

OU

Google a écrit :

Dans un terminal:

./GoogleEarthLinux.bin --target /tmp/ge
cd /tmp/ge/setup.data/bin/Linux/x86/
mv setup.gtk setup.gtk2
cd /tmp/ge
./setup.sh

Hors ligne

#6 Le 01/11/2010, à 19:12

Tonno

Re : [Résolu] Installation Linux de Postal Fudge Pack

Rebonjour,

voilà ce que j'obtiens pour la solution 1:
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.

Hors ligne

#7 Le 01/11/2010, à 19:57

gtkshroom

Re : [Résolu] Installation Linux de Postal Fudge Pack

Tu dois avoir le terminal ouvert en même temps que le gestionnaire de paquets Synaptic, je me trompe ? Ferme Synaptic quand tu installes des paquets en passant par la ligne de commande, sinon ça retourne ce genre d'erreur.

Hors ligne

#8 Le 02/11/2010, à 21:06

Tonno

Re : [Résolu] Installation Linux de Postal Fudge Pack

Bon j'ai réussis a installer mais maintenant il s'ouvre.... et hop se ferme automatiquement

Hors ligne

#9 Le 03/11/2010, à 15:38

gtkshroom

Re : [Résolu] Installation Linux de Postal Fudge Pack

Alors, pour ceux qui veulent parvenir à jouer au jeu principal(Share the Pain), j'avais la solution sous le nez et j'ai pas cherché plus loin jusqu'ici.

Voici la solution au problème de l'erreur du WinDrv: https://bugzilla.icculus.org/show_bug.cgi?id=2955

Plus simplement, téléchargez cette archive que je vous ai préparée ici et décompressez-là dans votre répertoire de jeu /home/login/postal_fudge_pack/postal2game/System/ ou /usr/game/postal_fudge_pack/postal2game/System/ si vous l'avez installé en root.

Apocalypse Weekend, A Week in Paradise et Eternal Damnation s'exécutent sans problème, il y a juste Share the Pain qui fait des caprices.

Dernière modification par gtkshroom (Le 03/11/2010, à 15:39)

Hors ligne

  • Accueil
  • » Forum
  • » Jeux
  • » [Résolu] Installation Linux de Postal Fudge Pack

Haut de page ↑